Subject: RE: Implementors' Guide Update Editor's last Call - MGC failure

From: Dan Elbert <[email-masked]>
Date: Fri, 11 May 2001 16:56:40 -0500

Using a fully specified terminationID can disrupt the operation of the
termination (for example if the termination is in a call).
It's not clear what a "bogus" termination is, if the MGC receives a SVC from
an MG termination it can assume that this termination is real and start
sending audits or commands.
Yes, by poll I mean some type of heartbeat as the MG needs to know if the
MGC is alive.
Brian Rosen suggested in the past to use SVC with Restart method for this
purpose, I don't think that there was any mantion if this should be done
with id=root or other.
 
Dan
 
-----Original Message-----
From: Chuong Nguyen [mailto:[email-masked]]
Sent: Friday, May 11, 2001 5:38 PM
To: [email-masked]
Subject: Re: Implementors' Guide Update Editor's last Call - MGC failure

The intend was not to use ROOT but a fully specified terminationID or even
better a 
known invalid terminationID (A bogus terminationID that the sender knows is
not valid and is 
used specifically for heartbeat purpose).  The idea is to get some kind of
responses. 
"poll" do you mean heartbeat like msg to from MG to MGC or something else
here. 
Where did you see that Restart w/ROOT is used as a heartbeat/poll? 
  
Chuong 
Dan Elbert wrote: 
Hi
After reviewing the issue of MGC failure ( when the MG is connected trough
UDP ) I believe that there is no satisfactory way for the MG to poll the MGC
to see if the MGC is still alive. Using a ServiceChange with "Restart"
method and termination id of "root" may cause the MGC to assume that the MG
restarted and can affect the state of a call in progress. 
I think that it would be good to add a ServiceChange method "noop" : 
Noop : Can be used by the MG (with unreliable protocols) to obtain a
response from the MGC or detect a communication failure. When receiving this
SVC the MGC should take no action other that reply. 
If this is not acceptable, then I think that some clarification is needed as
when a SVC with restart method should be considered "noop" by the MGC. 
Dan Elbert 
RADVISION 
-- 
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 14 May 2001 11:59:39 -0400

I think that a restart of a termination that is already in service should be
treated 
as a nop by an MGC.
 
I have no objection to adding an explicit no-op method, but I don't think it
is needed.
 
Brian
-----Original Message-----
From: Dan Elbert [mailto:[email-masked]]
Sent: Friday, May 11, 2001 5:57 PM
To: [email-masked]'; 'Chuong Nguyen'
Subject: RE: Implementors' Guide Update Editor's last Call - MGC failure

Dan
 
-----Original Message-----
From: Chuong Nguyen [mailto:[email-masked]]
Sent: Friday, May 11, 2001 5:38 PM
To: [email-masked]
Subject: Re: Implementors' Guide Update Editor's last Call - MGC failure

Chuong 
Dan Elbert wrote: 
Hi

---

From: Dan Elbert <[email-masked]>
Date: Mon, 14 May 2001 11:10:25 -0500

OK, then maybe we can have some wording to that effect in the Implementor's
guide. 
I still think that in some scenarios this may be confusing or require
greater complexity in the MGC . ( for example if the termination sends a SVC
going down, but is not received by the MGC, and immediately a SVC with
restart which is received, so in this case the state of the MG is not the
same.
But then of course the first SVC (down) will be retransmitted and the MGC
will have to deal with it in some way...)
 
-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Monday, May 14, 2001 12:00 PM
To: 'Dan Elbert'; [email-masked]'; 'Chuong Nguyen'
Subject: RE: Implementors' Guide Update Editor's last Call - MGC failure

 
Brian
-----Original Message-----
From: Dan Elbert [mailto:[email-masked]]
Sent: Friday, May 11, 2001 5:57 PM
To: [email-masked]'; 'Chuong Nguyen'
Subject: RE: Implementors' Guide Update Editor's last Call - MGC failure
 
Dan
 
-----Original Message-----
From: Chuong Nguyen [mailto:[email-masked]]
Sent: Friday, May 11, 2001 5:38 PM
To: [email-masked]
Subject: Re: Implementors' Guide Update Editor's last Call - MGC failure

Chuong 
Dan Elbert wrote: 
Hi